#---------------------------------------------------------------------------
# Makefile options for the TECS Client library and TecsServer
# machine-dependent part for Redhat Linux with AFS at PSI
#
# Markus Zolliker, March 2003
#--------------------------------------------------------------------------

include ../../sllinux_def

SICS=..

CC       = gcc
FC       = g77
CFLAGS   = -DLINUX -g $(DFORTIFY) -I../.. -I.. -I. -Wall -Wno-missing-braces
FFLAGS   = -Wimplicit -g
ARFLAGS  = cr

# -- system dependent routines

# -- PGPLOT library additions
PGLIB    = -L/usr/X11R6/lib -lX11

# -- library for ASYNSRV
HARDSUPLIB=../hardsup/libhlib.a

# -- readline library
RDLIB    =-lreadline -ltermcap

# -- the following macros are used as a replacement for some automatic variables
#    due to different make versions.
# This is for GNU make.
#
# list of prerequisites including paths for VPATH
Q=$^

# Fortran/C source file name
F=$<
C=$<

include make_gen
